(*
Author:  Christian Sternagel <c.sternagel@gmail.com> (2011-2015)
Author:  Julian Nagele <julian.nagele@uibk.ac.at> (2013-2015)
Author:  René Thiemann <rene.thiemann@uibk.ac.at> (2011-2015)
License: LGPL (see file COPYING.LESSER)
*)

theory Processors
imports
  "Check-NT.Nontermination_Impl"

  "../Orderings/Reduction_Pair_Implementations"
  "../Orderings/Reduction_Pair_Impl"
  "../Orderings/Argument_Filter_Impl"

  "Check-NT.Dependency_Graph_Impl"
  "../Termination_and_Complexity/DP_Transformation_Impl"
  "../Termination_and_Complexity/Subterm_Criterion_Impl"
  "../Termination_and_Complexity/Usable_Rules_Impl"
  "Check-NT.String_Reversal_Impl"
  "../Termination_and_Complexity/Split_Impl"
  "../Termination_and_Complexity/Matchbounds_Impl"
  "Check-NT.Uncurry_Impl"
  "../Termination_and_Complexity/Size_Change_Termination_Processors_Impl"
  "../Termination_and_Complexity/Flat_Context_Closure_Impl"
  "../Termination_and_Complexity/Semantic_Labeling_Carrier"
  "Check-NT.Innermost_Usable_Rules_Impl"
  "Check-NT.Innermost_Switch_Impl"
  "Check-NT.Rewriting_Impl"
  "Check-NT.Instantiation_Impl"
  "Check-NT.Narrowing_Impl"
  "../Termination_and_Complexity/Generic_Reduction_Pair_Processor_Impl"
  "Check-NT.Q_Reduction_Impl"
  "../Termination_and_Complexity/Bounded_Increase_Impl"
  "../Termination_and_Complexity/Complex_Constant_Removal_Impl"
  "../Termination_and_Complexity/DT_Transformation_Impl"
  "../Termination_and_Complexity/WDP_Transformation_Impl"
  "../Termination_and_Complexity/Usable_Rules_Complexity_Impl"
  "Check-NT.Monadic_Rewriting_Impl"
  "../Termination_and_Complexity/AC_Dependency_Pairs_Impl"
  "../Termination_and_Complexity/AC_Reduction_Pair_Processor_Impl"
  "../Termination_and_Complexity/AC_Subterm_Criterion_Impl"

  "../Confluence_and_Completion/Equational_Reasoning_Impl"
  "../Confluence_and_Completion/Orthogonality_Impl"
  "../Confluence_and_Completion/Critical_Pair_Closure_Impl"
  "../Confluence_and_Completion/Non_Confluence_Impl"
  "../Confluence_and_Completion/Rule_Labeling_Impl"
  "../Confluence_and_Completion/Redundant_Rules_Impl"
  "../Confluence_and_Completion/Ordered_Completion_Impl"

  "../Conditional_Rewriting/Unraveling_Impl"
  "../Conditional_Rewriting/Level_Confluence_Impl"

  "Lisa.LS_Persistence_Impl"
begin

end
